package com.icefaces.support.example;

import java.io.Serializable;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;

@ManagedBean
@CustomScoped(value = "#{window}")
public class TestBean implements Serializable{

    private String selOneMenuValue;
    private String selOneRadioValue;
    private boolean menuUpdated = false;
    private boolean radioUpdated = false;

    public String getSelOneRadioValue() {
        return selOneRadioValue;
    }

    public void setSelOneRadioValue(String selOneRadioValue) {
        this.selOneRadioValue = selOneRadioValue;
    }

    public String getSelOneMenuValue() {
        return selOneMenuValue;
    }

    public void setSelOneMenuValue(String selOneMenuValue) {
        this.selOneMenuValue = selOneMenuValue;
    }

    public boolean isMenuUpdated() {
        return menuUpdated;
    }

    public void setMenuUpdated(boolean menuUpdated) {
        this.menuUpdated = menuUpdated;
    }

    public boolean isRadioUpdated() {
        return radioUpdated;
    }

    public void setRadioUpdated(boolean radioUpdated) {
        this.radioUpdated = radioUpdated;
    }
 
    
    public void selOneMenuChanged(ValueChangeEvent event){
        this.menuUpdated = true;
    }
    
    public void selOneRadioChanged(ValueChangeEvent event){
        this.radioUpdated = true;
    }
    
    public void clear(ActionEvent event){
        this.menuUpdated = false;
        this.radioUpdated = false;
    }
    
}
